Receive a single campaign
One campaign with its full message structure — the same item graph as the automated flow detail. The id of an automated flow returns 404 — use /automated-flows/{id} instead.
get
Authorizations
X-Recart-API-KeystringRequired
It can be obtained in Recart account after contacting Support
Path parameters
idstringRequired
ID of the campaign
Responses
200
Ok
application/vnd.api+json
4XX
HTTP Error response
application/vnd.api+json
5XX
HTTP Error response
application/vnd.api+json
get/campaign-flows/{id}
GET /app-integrations/2023-12/campaign-flows/{id} HTTP/1.1
Host: api.recart.com
X-Recart-API-Key: YOUR_API_KEY
Accept: */*
{
"data": {
"type": "campaigns",
"attributes": {
"id": "66aa11b7825e6ae655fe200",
"name": "Labor Day Sale",
"status": "sent",
"campaignType": "adaptive",
"scheduledFor": "2026-09-01T14:00:00.000Z",
"scheduleType": "siteTimezone",
"sentAt": "2026-09-01T14:03:00.000Z",
"deliveredSubscriberCount": 11840,
"includeSegments": [
{
"id": "655637c97825e6ae655fe300",
"name": "VIP customers"
}
],
"excludeSegments": [],
"isQuietHoursEnabled": true,
"adaptiveTest": {
"adaptiveTestStatus": "complete_with_winner",
"adaptiveTestResult": {
"winnerFlowItemId": "655637c97825e6ae655fe411",
"wasTiebroken": false,
"completedAt": "2026-09-01T18:03:00.000Z"
},
"testVariantsDispatchedAt": "2026-09-01T14:03:00.000Z"
},
"discountUsage": [
{
"id": "655637c97825e6ae655fe310",
"referenceCount": 2
}
],
"discountCodePoolUsage": [
{
"id": "655637c97825e6ae655fe320",
"referenceCount": 1
}
],
"createdAt": "2026-08-01T09:00:00.000Z",
"updatedAt": "2026-09-01T18:03:00.000Z",
"entryFlowItemId": "655637c97825e6ae655fe410",
"items": [
{
"type": "flow-item",
"attributes": {
"type": "adaptive-test",
"id": "655637c97825e6ae655fe410",
"adaptiveTest": {
"variants": [
{
"flowItemId": "655637c97825e6ae655fe411"
},
{
"flowItemId": "655637c97825e6ae655fe412"
}
],
"evaluation": {
"metric": "clickRate",
"evaluateAfterHours": 4
},
"audienceSplitPercentage": 20
}
}
},
{
"type": "flow-item",
"attributes": {
"type": "sms",
"id": "655637c97825e6ae655fe411",
"name": "Variant A",
"messages": [
{
"text": "Labor Day is here — 20% off everything.",
"imageUrl": null
}
],
"nextItemId": null
}
},
{
"type": "flow-item",
"attributes": {
"type": "sms",
"id": "655637c97825e6ae655fe412",
"name": "Variant B",
"messages": [
{
"text": "Save big this Labor Day. Shop now.",
"imageUrl": null
}
],
"nextItemId": null
}
}
]
}
}
}Last updated
Was this helpful?